<?xml version="1.0" encoding="UTF-8"?>
<featuremodels>
	<featuremodel name="planar3teager">
		<feature>InputColumn(POSTAG, Stack[0])</feature>
		<feature>InputColumn(POSTAG, Input[0])</feature>
		<feature>InputColumn(POSTAG, Input[1])</feature>
		<feature>InputColumn(POSTAG, Input[2])</feature>
		<feature>InputColumn(POSTAG, Input[3])</feature>
		<feature>InputColumn(POSTAG, Stack[1])</feature>
		<feature>OutputColumn(DEPREL, Stack[0])</feature>
		<feature>OutputColumn(DEPREL, Input[0])</feature>
		<feature>OutputColumn(DEPREL, Stack[1])</feature>
		<!--<feature>OutputColumn(DEPREL, ldep(Stack[0]))</feature>-->
		<feature>OutputColumn(DEPREL, rdep(Stack[0]))</feature>
		<!--<feature>OutputColumn(DEPREL, ldep(Input[0]))</feature>-->
		<feature>OutputColumn3T(DEPREL, Stack[0])</feature>
                <!--<feature>OutputColumn3T(DEPREL, ldep(Stack[0]))</feature>-->
		<feature>OutputColumn3T(DEPREL, rdep(Stack[0]))</feature>
		<!--<feature>OutputColumn3T(DEPREL, ldep(Input[0]))</feature>-->
		<feature>OutputColumn3T2(DEPREL, Stack[0])</feature>
		<!--<feature>OutputColumn3T2(DEPREL, ldep(Stack[0]))</feature>-->
		<feature>OutputColumn3T2(DEPREL, rdep(Stack[0]))</feature>
		<!--<feature>OutputColumn3T2(DEPREL, ldep(Input[0]))</feature>-->
		<feature>InputColumn(FORM, Stack[0])</feature>
		<feature>InputColumn(FORM, Input[0])</feature>
		<feature>InputColumn(FORM, Input[1])</feature>
		<!--<feature>InputColumn(FORM, head(Stack[0]))</feature>-->
		<!--<feature>InputColumn(POSTAG, head(Input[0]))</feature>-->
		<!--<feature>OutputArc(HEAD, Stack[0], Input[0])</feature>-->
                <!--NUEVAS FEATURES-->
                <feature>OutputArcRelated(DEPREL, Stack[0], Input[0])</feature>
                <feature>OutputArcRelated(DEPREL, Stack[1], Input[0])</feature>
                <feature>OutputArcRelated(DEPREL, Stack[2], Input[0])</feature>
                <feature>OutputArcRelated(DEPREL, Stack[0], Input[1])</feature>
                <feature>OutputArcRelated(DEPREL, rdep(Stack[0]), Input[0])</feature>
                <feature>OutputArcRelated(DEPREL, Stack[0], rdep(Input[0]))</feature>
                <feature>InputColumn(POSTAG, Stack[2])</feature>
                <feature>InputColumn(POSTAG, Stack[3])</feature>
	        <feature>InputColumn(FEATS, Stack[0])</feature>
		<feature>InputColumn(FEATS, Input[0])</feature>
		<feature>InputColumn(FEATS, Input[1])</feature>
		<feature>InputColumn(FEATS, Input[2])</feature>
		<feature>InputColumn(FEATS, Stack[1])</feature>
		<feature>OutputColumn3TOneHead(DEPREL, Stack[0])</feature>
        </featuremodel>
</featuremodels>
